Main Page Class List Class Members

List of all members | Public Member Functions
Nv::Blast::ExtPxActorImpl Class Referencefinal

`#include <NvBlastExtPxActorImpl.h>`

Inheritance diagram for Nv::Blast::ExtPxActorImpl:

## Public Member Functions
| ExtPxActorImpl (ExtPxFamilyImpl *family, TkActor *tkActor, const PxActorCreateInfo &pxActorInfo)
| ~ExtPxActorImpl ()
virtual uint32_t | getChunkCount () const override
virtual const uint32_t * | getChunkIndices () const override
virtual ExtPxFamily & | getFamily () const override
virtual PxRigidDynamic & | getPhysXActor () const override
virtual TkActor & | getTkActor () const override
void | release ()

## Constructor & Destructor Documentation

## ◆ ExtPxActorImpl()

Nv::Blast::ExtPxActorImpl::ExtPxActorImpl | ( | ExtPxFamilyImpl * | family,
|  | TkActor * | tkActor,
|  | const PxActorCreateInfo & | pxActorInfo
| ) |  |

## ◆ ~ExtPxActorImpl()

Nv::Blast::ExtPxActorImpl::~ExtPxActorImpl | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getChunkCount()

virtual uint32_t Nv::Blast::ExtPxActorImpl::getChunkCount | ( |  | ) | const
| inline override virtual

Get the number of visible chunks for this actor. May be used in conjunction with getChunkIndices().

Returns
  the number of visible chunk indices for the actor.

Implements Nv::Blast::ExtPxActor.

## ◆ getChunkIndices()

virtual const uint32_t* Nv::Blast::ExtPxActorImpl::getChunkIndices | ( |  | ) | const
| inline override virtual

Access actor's array of chunk indices. Use getChunkCount() to get a size of this array.

Returns
  a pointer to an array of chunk indices of an actor.

Implements Nv::Blast::ExtPxActor.

## ◆ getFamily()

virtual ExtPxFamily& Nv::Blast::ExtPxActorImpl::getFamily | ( |  | ) | const
| override virtual

Every actor has corresponding ExtPxFamily.

/return a pointer to ExtPxFamily family.

Implements Nv::Blast::ExtPxActor.

## ◆ getPhysXActor()

virtual PxRigidDynamic& Nv::Blast::ExtPxActorImpl::getPhysXActor | ( |  | ) | const
| inline override virtual

Every actor has corresponding PxActor.

/return a pointer to PxRigidDynamic actor.

Implements Nv::Blast::ExtPxActor.

## ◆ getTkActor()

virtual TkActor& Nv::Blast::ExtPxActorImpl::getTkActor | ( |  | ) | const
| inline override virtual

Every actor has corresponding TkActor.

/return a pointer to TkActor actor.

Implements Nv::Blast::ExtPxActor.

## ◆ release()

void Nv::Blast::ExtPxActorImpl::release | ( |  | ) |

The documentation for this class was generated from the following file:

- sdk/extensions/physx/source/physics/NvBlastExtPxActorImpl.h